2011年4月14日 星期四

ⓒUniformServer 7.0.0-Orion 無法啟動嗎?


如果你的新版 UniformServer 打不開,
可能是因為在 7.0.0-Orion 獵戶座版內做了點改變的緣故,
官方在更新文件中有提到:
7.0.0 - PHP updated to 5.3.6
- Server components updated from VC6 to VC9
Note - To run this version of Uniform Server the Visual C++ 2008 redistributable package is required.
It can be downloaded from:
http://www.microsoft.com/downloads/en/details.aspx?FamilyID=A5C84275-3B97-4AB7-A40D-3802B2AF5FC2
因為作者將VC6給提升到了VC9版本了,
你必須要到微軟下載這個檔案才能夠運作,
還好套件檔案還不算大,僅3.93MB而已 :)

2011.4.12 補充:
近日又發現有另外一個關於LDAP的問題,
升級到7.x版以後若將LDAP的extensions打開會發生錯誤,
解決的方法可能只有暫時先降級回舊版本了(嘆

2011.4.13 補充:
因為對於UniformServer升級成VC9一直覺得很奇怪,
印象中大家都說VC9是給IIS使用的,
而VC6才是給Apache使用的,
所以特地去爬了一些文才發現,
PHP Windows竟然不出VC6了!!
這下子為了讓伺服器還能夠繼續保持最新就只好裝了VC9試試看,
卻發現到裝VC9的extension都沒有正常的啟動,
目前就這樣卡在這裡動彈不得...

2011.4.14 補充:
終於找到問題點了,
因為新的 LDAP 除了ssleay32.dll、libeay32.dll以外,
還需要 libsasl.dll 這個檔案,
所以把這個檔案丟到Apache目錄下就可以運作囉 :)
張貼留言